Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# GeomDrawCallbackData Class Reference

This specialization on CallbackData is passed when the callback is initiated from deep within the draw traversal, for a particular Geom. More...

Inheritance diagram for GeomDrawCallbackData:

List of all members.

## Public Member Functions
bool | getForce ()
| Returns true if any required data should be forced into memory if necessary to render the object, or false if the object should be omitted if some of the data is not available (at least until the data becomes available later).
GraphicsStateGuardianBase | getGsg ()
| Returns a pointer to the current GSG.
bool | getLostState ()
| Returns the lost_state flag.
CullableObject | getObject ()
| Returns a pointer to the particular object that is being drawn.
| setLostState (bool lost_state)
| Sets the lost_state flag.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This specialization on CallbackData is passed when the callback is initiated from deep within the draw traversal, for a particular Geom.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CallbackData.

bool getForce | ( |  | ) |

Returns true if any required data should be forced into memory if necessary to render the object, or false if the object should be omitted if some of the data is not available (at least until the data becomes available later).

GraphicsStateGuardianBase getGsg | ( |  | ) |

Returns a pointer to the current GSG.

bool getLostState | ( |  | ) |

Returns the lost_state flag.

See set_lost_state().

CullableObject getObject | ( |  | ) |

Returns a pointer to the particular object that is being drawn.

setLostState | ( | bool | lost_state | ) |

Sets the lost_state flag.

If this is true, the callback does not have to be quite so careful to clean up after itself; Panda will assume that the graphics state is in an unknown state after the callback has finished, and will issue all the necessary calls to restore it. If this is false, Panda will assume the callback will leave the graphics state exactly as it came in, and won't bother to try to restore it. The default is true.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties